Bug 1294337 - targetcli RPM must require python3-dbus RPM (targetcli is broken without it)
targetcli RPM must require python3-dbus RPM (targetcli is broken without it)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: targetcli (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Andy Grover
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-27 04:46 EST by Yaniv Kaul
Modified: 2016-03-05 01:23 EST (History)
2 users (show)

See Also:
Fixed In Version: targetcli-2.1.fb42-3.fc22 targetcli-2.1.fb42-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-04 20:20:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2015-12-27 04:46:35 EST
Description of problem:
Tried to install targetcli on a clean Fedora 23 cloud image. It worked last week. This week, with 2.1.fb42-1 , it is broken unless python3-dbus RPM is also installed. (dbus-python RPM apparently is not enough).

Version-Release number of selected component (if applicable):
targetcli-2.1.fb42-1.fc23.noarch

How reproducible:
Always

Steps to Reproduce:
1. On a clean Fedora Cloud image try to install then use targetcli
2.
3.

Actual results:
Traceback as it fails to import dbus

Expected results:
Works.

Additional info:
Worked last week, so possibly a regression with the new version.
Comment 1 Sitsofe Wheeler 2016-02-24 00:23:28 EST
This is still here when trying to install targetcli-2.1.fb42-1.fc23.noarch on the Fedora 23 cloud image.

Looking at targetcli.spec what is required is to change:
Requires:       python3-rtslib, target-restore, python3-configshell, python3-six, python-dbus

to

Requires:       python3-rtslib, target-restore, python3-configshell, python3-six, python3-dbus

.
Comment 2 Andy Grover 2016-02-24 12:04:55 EST
sorry for the delay, I'm on it.
Comment 3 Fedora Update System 2016-02-24 13:46:59 EST
targetcli-2.1.fb42-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7dfe665630
Comment 4 Fedora Update System 2016-02-24 13:46:59 EST
targetcli-2.1.fb42-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-897246ab55
Comment 5 Fedora Update System 2016-02-25 05:52:33 EST
targetcli-2.1.fb42-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7dfe665630
Comment 6 Fedora Update System 2016-02-25 21:24:03 EST
targetcli-2.1.fb42-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-897246ab55
Comment 7 Fedora Update System 2016-03-04 20:20:04 EST
targetcli-2.1.fb42-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-03-05 01:23:30 EST
targetcli-2.1.fb42-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.